﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WinFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            FormWithRamesysPanel fwrp = null;
            try
            {
                fwrp = new FormWithRamesysPanel();
                fwrp.ShowDialog(this);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error in FormWithRamesysPanel: " + ex.Message);
            }
            finally
            {
                if (fwrp != null)
                {
                    fwrp.Dispose();
                    fwrp = null;
                }
            }
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            FormWithUserControlPanel fwucp = null;
            try
            {
                fwucp = new FormWithUserControlPanel();
                fwucp.ShowDialog(this);
            }
            catch (Exception ex)
            {
                MessageBox.Show("Error in FormWithUserControlPanel: " + ex.Message);
            }
            finally
            {
                if (fwucp != null)
                {
                    fwucp.Dispose();
                    fwucp = null;
                }
            }
        }

    }
}
